      program main
      implicit none

      integer*2 i2
      integer*4 i4,i
      integer*8 i8

      integer*8 ifact

      ifact=1
      do i=1,20
       ifact=ifact*i
       i2=ifact
       i4=ifact
       i8=ifact
       write(6,9001) ifact,i2,i4,i8
 9001  format(4I20)
      end do
      end
 
